## org.apache.axis.ime.internal
Class MessageExchangeImpl.Listener

    java.lang.Object
      |
      +--org.apache.axis.ime.internal.MessageExchangeImpl.Listener

All Implemented Interfaces:
  MessageExchangeEventListener, java.io.Serializable

Enclosing class:
  MessageExchangeImpl

public class MessageExchangeImpl.Listener
extends java.lang.Object
implements MessageExchangeEventListener

See Also:
  Serialized Form

Field Summary
`protected org.apache.axis.ime.internal.MessageExchangeImpl.Holder` `holder`

Constructor Summary
`MessageExchangeImpl.Listener(org.apache.axis.ime.internal.MessageExchangeImpl.Holder holder)`

Method Summary
`void` `onEvent(MessageExchangeEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### holder

    protected org.apache.axis.ime.internal.MessageExchangeImpl.Holder holder

Constructor Detail

### MessageExchangeImpl.Listener

    public MessageExchangeImpl.Listener(org.apache.axis.ime.internal.MessageExchangeImpl.Holder holder)

Method Detail

### onEvent

    public void onEvent(MessageExchangeEvent event)

  Specified by:
    `onEvent` in interface `MessageExchangeEventListener`
  See Also:
    `org.apache.axis.ime.MessageExchangeReceiveListener#onReceive(MessageExchangeCorrelator, MessageContext)`

Copyright © 2003 Apache Web Services Project. All Rights Reserved.